Bug 102473 - Print month does not produce color output
Summary: Print month does not produce color output
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: printing (show other bugs)
Version: unspecified
Platform: RedHat RPMs Linux
: NOR wishlist with 40 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-25 17:06 UTC by Orion Poplawski
Modified: 2009-01-08 22:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Orion Poplawski 2005-03-25 17:06:18 UTC
Version:            (using KDE KDE 3.3.1)
Installed from:    RedHat RPMs
OS:                Linux

When printing, days and weeks can be printed in color, but not months.  There is no "Use Colors" check box under "Print month" either.  Display is fine.
Comment 1 Reinhold Kainhofer 2005-07-24 17:46:27 UTC
That's a wish. 
On the other hand I wonder if using the category color as background is really so useful... After all, each event only has a very limited space on the sheet, and with a bg color the contrast might be reduced considerably.
Whatever, it's a wish and I won't close it anyway.

Cheers,
Reinhold
Comment 2 Reinhold Kainhofer 2006-11-02 19:28:12 UTC
Reassigning all KOrganizer bug reports and wishes to the newly created 
korganizer-devel mailing list.
Comment 3 george 2007-09-28 19:54:21 UTC
I would like the colors on the printed month to match what I see on the monitor.  I.e. each event has a given color.
Comment 4 Ron Goodheart 2009-01-08 22:10:04 UTC
SVN commit 907451 by rgoodheart:

These changes also address some print overflow issues that were still
happening but were not reported.

GUI:
       gui changes to configuration dialogs

BUG: 102473
       Print month does not produce color output - events now in category
colors
BUG: 144809
       Calendar will not print in color - category colors for
incidence,day,week and month
BUG: 102598
       Print Locations,Descriptions, etc. on Filofax week pages - additional
info added
BUG: 104731
       include date when printing month view on paper - date now printed on
the bottom of page
BUG: 167751
       Printing jounral entries with richtext from korganizer print html-tags
       rich text is converted to plain text before printing for now on all
print types rather than printing the html

FEATURE: 71908
       calendar-print: option to switch on lines would be great - added
optional note lines
FEATURE: 83689
       Support printing of arbitrary date ranges - day range supports
arbitrary range
       (patch from David Faure incorporated  - feature in day print to print
selected range on one page
FEATURE: 110690
       Print "Month view" does not print all events - triangle printed in
lower right hand side of display box if the print overflows the box and all
information is not displayed



 M  +164 -114  calprintdayconfig_base.ui
 M  +96 -31    calprintdefaultplugins.cpp
 M  +9 -0      calprintdefaultplugins.h
 M  +95 -90    calprintincidenceconfig_base.ui
 M  +48 -18    calprintmonthconfig_base.ui
 M  +248 -106  calprintpluginbase.cpp
 M  +45 -6     calprintpluginbase.h
 M  +41 -13    calprinttodoconfig_base.ui
 M  +50 -34    calprintweekconfig_base.ui

WebSVN link: http://websvn.kde.org/?view=rev&revision=907451